zmesdetect Issue

Support for the docker image maintained by dlandon
Post Reply
topsie
Posts: 6
Joined: Sat Jun 16, 2018 4:22 pm

zmesdetect Issue

Post by topsie » Mon Dec 07, 2020 2:34 pm

Hi,

I've followed the instructions to install the dlandon/zoneminder docker and edited the zmeventnotification.ini to use hooks.

Everything appears to be working until an event is triggered, where I get the following errors in the System Log.

I'm sure there is something I've missed here, but I can't find where the hostname is defined, or if I am supposed to change something prior to running.

Any help would be appreciated.

Code: Select all

error: Traceback:Traceback (most recent call last): File "/usr/lib/python3.6/urllib/request.py", line 1325, in do_open encode_chunked=req.has_header('Transfer-encoding')) File "/usr/lib/python3.6/http/client.py", line 1281, in request self._send_request(method, url, body, headers, encode_chunked) File "/usr/lib/python3.6/http/client.py", line 1327, in _send_request self.endheaders(body, encode_chunked=encode_chunked) File "/usr/lib/python3.6/http/client.py", line 1276, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) File "/usr/lib/python3.6/http/client.py", line 1042, in _send_output self.send(msg) File "/usr/lib/python3.6/http/client.py", line 980, in send self.connect() File "/usr/lib/python3.6/http/client.py", line 1434, in connect super().connect() File "/usr/lib/python3.6/http/client.py", line 952, in connect (self.host,self.port), self.timeout, self.source_address) File "/usr/lib/python3.6/socket.py", line 704, in create_connection for res in getaddrinfo(host, port, 0, SOCK_STREAM): File "/usr/lib/python3.6/socket.py", line 745, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags):socket.gaierror: [Errno -5] No address associated with hostnameDuring handling of the above exception, another exception occurred:Traceback (most recent call last): File "/var/lib/zmeventnotification/bin/zm_detect.py", line 237, in main_handler args) File "/usr/local/lib/python3.6/dist-packages/zmes_hook_helpers/utils.py", line 178, in download_files input_file = opener.open(url) File "/usr/lib/python3.6/urllib/request.py", line 526, in open response = self._open(req, data) File "/usr/lib/python3.6/urllib/request.py", line 544, in _open '_open', req) File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain result = func(*args) File "/usr/lib/python3.6/urllib/request.py", line 1368, in https_open context=self._context, check_hostname=self._check_hostname) File "/usr/lib/python3.6/urllib/request.py", line 1327, in do_open raise URLError(err)urllib.error.URLError: <urlopen error [Errno -5] No address associated with hostname>

Code: Select all

Error downloading files: <urlopen error [Errno -5] No address associated with hostname>

topsie
Posts: 6
Joined: Sat Jun 16, 2018 4:22 pm

Re: zmesdetect Issue

Post by topsie » Mon Dec 07, 2020 4:06 pm

Okay, I think I'm making progress.

I've amended the URL's in secret.ini - however now I'm getting:

Code: Select all

error downloading files: <urlopen error [Errno 111] Connection refused>
I'll keep digging and see if I can't work this out.

topsie
Posts: 6
Joined: Sat Jun 16, 2018 4:22 pm

Re: zmesdetect Issue

Post by topsie » Mon Dec 07, 2020 6:23 pm

Okay - Now I'm making a connection but getting this error :oops:

Code: Select all

Error downloading files: Python type HTTPError cannot be converted

User avatar
asker
Posts: 1476
Joined: Sun Mar 01, 2015 12:12 pm

Re: zmesdetect Issue

Post by asker » Tue Dec 08, 2020 10:59 am

You need to enable debug logs if you haven’t already.
Most likely you haven’t specified a proper url in your secrets file.
Please don't ask me questions via PM. Feel free to post in the forums or Github

My collection of ZoneMinder learnings:
https://wiki.zoneminder.com/Various_ZM_thoughts

topsie
Posts: 6
Joined: Sat Jun 16, 2018 4:22 pm

Re: zmesdetect Issue

Post by topsie » Tue Dec 08, 2020 1:38 pm

asker wrote:
Tue Dec 08, 2020 10:59 am
You need to enable debug logs if you haven’t already.
Most likely you haven’t specified a proper url in your secrets file.
Exactly this - The URL was not specified properly and I hadn't edited the objectconfig.ini correctly so was looking for YOLO3 when I had installed YOLO4.

The documentation got me there in the end, even if it did take me a while to get my head around it!

Appreciate the reply :)

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests